Package com.sun.jna.platform.win32

# Class VersionUtil

java.lang.Object
com.sun.jna.platform.win32.VersionUtil

public class VersionUtil extends Object
Reads Windows Version info from files (the version details you can see by right-clicking and choosing properties)

Author:
  mlfreeman[at]gmail.com

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersionUtil()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerRsrc.VS_FIXEDFILEINFO`
  `getFileVersionInfo(String filePath)`
  Gets the file's version number info

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VersionUtil

    public VersionUtil()

- ## Method Details

  - ### getFileVersionInfo

    public static VerRsrc.VS_FIXEDFILEINFO getFileVersionInfo(String filePath)
    Gets the file's version number info
    Parameters:
      `filePath` - The path to the file
    Returns:
      The VS_FIXEDFILEINFO structure read from the file.
      Use the getFileVersionMajor(), getFileVersionMinor(), getFileVersionRevision(), and getFileVersionBuild()
    Throws:
      `UnsupportedOperationException` - if VerQueryValue fails to get version info from the file.